<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='16' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
    if($reg['per_visualizar']=="Activo")
       {
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <?php include ('head.php');?>
</head>
<body>
<?php
  $inicio="";
  $M_inventario="";
  $M_contactos="";
  $M_compras="active";
  $M_ventas="";
  $M_pedidos="";
  $M_pos="";
  $R_reportes="";

  $compras="active";
  $proveedores="";
  $garantias="";
  $egresos="";

  include ('menu.php');
?>
<div class="main">
    <div class="col-md-2">
       <?php include ('include/menu_compras.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10">  
        <div class="widget stacked">
            <div class="widget-header"></div>
            <div class="widget-content">
                <div id="resultados"></div>
                <?php
                    $can=mysqli_query($con,"SELECT MAX(com_n_compra) as numero FROM compras where empresa='$empresa'") or die(mysqli_error($con)); 
                    $dato=mysqli_fetch_array($can);
                    $numero=$dato['numero']+1;
                ?> 
                <form name="form_compra" id="form_compra" action="" method="post"  onsubmit="return prepararDatos()">
                    <div class="col-md-3">
                        <label>Proveedor</label> 
                        <div class="input-group"> 
                            <div id="select_pro"></div>
                            <span class="input-group-addon">
                                <a href="#nuevoproveedor" title="Nuevo" data-toggle="modal" type="button" ><i class="btn-icon-only icon-plus"></i> </a>
                            </span>           
                        </div><!-- /input-group -->  
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label> Nº Factura Proveedor</label>
                            <input type="text" name="facturaproveedor" value="" class="form-control input-sm"  >
                        </div> <!-- /.form-group -->
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Fecha</label>
                            <input type="date" name="com_fecha" value="<?php echo  date('Y-m-d');?>" class="form-control input-sm" >
                        </div> <!-- /.form-group -->
                    </div>

                    <div class="col-md-3">
                        <div class="form-group">
                            <label>Compra</label>
                            <input type="number" name="com_n_compra" value="<?php echo $numero;?>" class="form-control input-sm"readonly>
                        </div> <!-- /.form-group -->
                    </div>               
                </form> <!-- /.form -->


                <div class="col-md-8"></div>
                <div class="col-md-4">
                    </br>
                    <div class="btn-group btn-group-justified" align="right">
                        <a href="#myModal" class="btn btn-warning" data-toggle="modal" >
                        <i class="btn-icon-only icon-plus"></i>Agregar Articulos</a>
                    </div></br>
                </div>

                <div class="widget">
                    <div class="col-md-12">
                        <div class="table-responsive">
                            <div id="tabla"></div>
                        </div> <!-- /.table-responsive -->
                    </div> <!-- /.widget -->
                </div>

                <?php include ('include/pie_de_pagina.php'); ?>
            </div>
        </div> <!-- /.widget-content -->
    </div> <!-- /.col-md-9 -->
</div> <!-- /container -->

<?php 
    include ('php_buscador/buscador_compras.php');
    include ('php_proveedores/form_nuevo_proveedor.php');
    include ('php_articulo/form_nuevo_articulo.php');
?>
<div class="modal fade bs-example-modal-lg" id="modificar_articulo" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">MODIFICAR ARTICULO</h4>
            </div>
            <div class="modal-body">
                <div id="form-art"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade " id="lote" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog g">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">LOTE</h4>
            </div>
            <div class="modal-body">
                <div id="form-lote"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<div class="modal fade" id="reg_ser" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">AGREGAR SERIALES</h4>
            </div>
            <div class="modal-body">
                <div id="form-serial"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<script type="text/javascript" src="php_compras/ajax.js"></script>


<script type="text/javascript">

$(document).ready(function(){
      load(1);
    });

function load(page){
      var q= $("#q").val();
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'./php_buscador/articulos_compras.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
      })
    }

function seleccion(){
    $('#editModal').modal('hide');
    $.get("./php_compras/select_proveedor.php","",function(data){
    $("#select_pro").html(data);
  })

}
seleccion();

function agregar (art_id)
{
    var art_referencia=document.getElementById('art_referencia'+art_id).value;
    var precio_venta=document.getElementById('precio_venta_'+art_id).value;
    var cantidad=document.getElementById('cantidad_'+art_id).value;
    var nombre=document.getElementById('nombre_'+art_id).value;
    var iva=document.getElementById('iva_'+art_id).value;
    var fecha_vencimiento=document.getElementById('fecha_vencimiento_'+art_id).value;
    var flete=document.getElementById('flete'+art_id).value;
    var atributo_estado=document.getElementById('atributo_estado'+art_id).value;
    var atributo1=document.getElementById('atributo1_'+art_id).value;
    var atributo2=document.getElementById('atributo2_'+art_id).value;

    if (isNaN(cantidad))
    {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+art_referencia).focus();
        return false; 
    }
    if (isNaN(precio_venta))
    {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_'+art_referencia).focus();
        return false;
    }
    $.ajax({
        type: "POST",
        url: "./php_compras/tabla.php",
        data: "art_id="+art_id+"&art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&nombre="+nombre+"&fecha_vencimiento="+fecha_vencimiento+"&iva="+iva+"&flete="+flete+"&atributo_estado="+atributo_estado+"&atributo1="+atributo1+"&atributo2="+atributo2,

    beforeSend: function(objeto){
        $("#tabla").html("Mensaje: Cargando...");
    },
    success: function(datos){
        $("#tabla").html(datos);
        limpiar_buscador()
    }
    });
}


$("#guardar_pro").submit(function( event ) {
    $('#guardar_datos').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
        type: "POST",
        url: "php_proveedores/registrar_proveedor_compras.php",
        data: parametros,
        beforeSend: function(objeto){
            $("#resultados_ajax").html("Mensaje: Cargando...");
        },
        success: function(datos){
            $("#resultados_ajax").html(datos);
            $('#guardar_datos').attr("disabled", false);
            $('#nuevoproveedor').modal('hide');
            $('body').removeClass('modal-open');
            $('.modal-backdrop').remove();
            load(1);
            seleccion();
        }
    });
    event.preventDefault();
    seleccion();
}) 

function cambiar_pro(campo,pro_id){
    var parametros = {"action":"update","campo":campo,"pro_id":pro_id}; 
    $.ajax({
        type: "GET",
        url: "./php_compras/cambiar_proveedor.php",
        data: parametros,
        beforeSend: function(objeto){
            $("#cambiar").html("Mensaje: Cargando...");
        },
        success: function(datos){
            $("#cambiar").html(datos);
        }
    });
} 


$("#add_name").submit(function( event ) {
    $('#submit').attr("disabled", true);
    var formData = new FormData($("#add_name")[0]);
    $.ajax({
        type: "POST",
        url: "php_articulo/registrar_articulos.php",
        data: formData,
        contentType: false,
        processData: false, 
        beforeSend: function(objeto){
            $('#resultados_articulo').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
            $("#resultados_articulo").html(datos);
            $('#submit').attr("disabled", false);
            $('#nuevo_articulo').modal('hide');
            $('body').removeClass('modal-open');
            load(1);
        }
    });
    event.preventDefault();
    document.getElementById("q").value = document.getElementById("art_nombre").value;
})
</script>
<?php
  include ('php_caja/caja_abrir.php');
  include ('script.php');
?>
  </body>
</html>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>